#include <iostream>
#include <algorithm>
#include <cmath>
#include <iomanip>
using namespace std;
int main()
{
    int64_t n;
    double pn,s,u,b,c;
    cin>>n;
    double a[n][2];
    double pn1=9999999999999999999;
    double xs[n];
    double ys[n];
    for(int64_t i = 0; i<n;i++)
        cin>>a[i][0]>>a[i][1];
    for(int64_t i = 0; i<n;i++)
    {
        xs[i]=a[i][0];
        ys[i]=a[i][1];
    }
    for(int64_t i = 0; i<n;i++)
        for(int64_t j = i+1;j<n;j++)
            for(int64_t m = j+1; m<n;m++)
            {
                u=sqrt((xs[i]-xs[j])*(xs[i]-xs[j])+(ys[i]-ys[j])*(ys[i]-ys[j]));
                b=sqrt((xs[i]-xs[m])*(xs[i]-xs[m])+(ys[i]-ys[m])*(ys[i]-ys[m]));
                c=sqrt((xs[m]-xs[j])*(xs[m]-xs[j])+(ys[m]-ys[j])*(ys[m]-ys[j]));
                s=(u+b+c)/2;
                pn=sqrt(s*(s-u)*(s-b)*(s-c));
                if(pn<pn1)
                    pn1=pn;
            }
    cout<<fixed<<setprecision(0)<<pn1<<endl;
}